local chatcommand_cmd = "listmovies"
local chatcommand_definition = {
    params = "[<searchstring>]", -- Short parameter description
    description = "Shows the whole movielist to you that match the <searchstring>, if given", -- Full description
    privs = {
        [yl_cinema.settings.admin_priv] = true
    }, -- Require the "privs" privilege to run
    func = yl_cinema.cmd_list_movies
}

minetest.register_chatcommand(chatcommand_cmd, chatcommand_definition)
