-- Version 0.0.1
-- Author AliasAlreadyTaken
-- License MIT

-- Changelog

local mod_start_time = core.get_us_time()
core.log("action", "[MOD] yl_cinema loading")

yl_cinema = {}
yl_cinema.error = {}
yl_cinema.modstorage = core.get_mod_storage()
yl_cinema.modpath = core.get_modpath("yl_cinema") .. DIR_DELIM
yl_cinema.worldpath = core.get_worldpath() .. DIR_DELIM

yl_cinema.information = {}
yl_cinema.information.version = "0.0.1"
yl_cinema.information.author = "AliasAlreadyTaken"
yl_cinema.information.license = "MIT"
yl_cinema.information.name = "yl_cinema"
yl_cinema.information.source = "https://gitea.your-land.de/your-land/yl_cinema"
yl_cinema.information.additional = "This mod implements #9 of the Small Tasks: A way to display pictures to a player."

dofile(yl_cinema.modpath .. "dependencies.lua")
dofile(yl_cinema.modpath .. "config.lua")
dofile(yl_cinema.modpath .. "setup.lua")
dofile(yl_cinema.modpath .. "internal.lua")
dofile(yl_cinema.modpath .. "api.lua")
dofile(yl_cinema.modpath .. "initialize.lua")
--dofile(yl_cinema.modpath .. "features.lua")
dofile(yl_cinema.modpath .. "chatcommands.lua")

local mod_end_time = (core.get_us_time() - mod_start_time) / 1000000
core.log("action", "[MOD] yl_cinema loaded in [" .. mod_end_time .. "s]")
